package vo

type VoucherStatus string

const (
	VoucherStatusEnabled  VoucherStatus = "ENABLED"
	VoucherStatusDisabled VoucherStatus = "DISABLED"
)

var voucherStatusTextMap = map[VoucherStatus]string{
	VoucherStatusEnabled:  "券状态:可用",
	VoucherStatusDisabled: "券状态:不可用",
}

func (o VoucherStatus) GetText() string {
	msg, ok := voucherStatusTextMap[o]
	if !ok {
		return ""
	}
	return msg
}
